eslint-plugin-lodash-fp

ESLint rules for lodash/fp

Downloads in past

Stats

StarsIssuesVersionUpdatedCreatedSize
eslint-plugin-lodash-fp
147342.2.0-a15 years ago7 years agoMinified + gzip package size for eslint-plugin-lodash-fp in KB

Readme

eslint-plugin-lodash-fp Build Status
ESLint rules for lodash/fp

Install

$ npm install --save-dev eslint eslint-plugin-lodash-fp

Usage

Configure it in package.json.
{
  "name": "my-awesome-project",
  "eslintConfig": {
    "env": {
      "es6": true
    },
    "parserOptions": {
      "ecmaVersion": 7,
      "sourceType": "module"
    },
    "plugins": [
      "lodash-fp"
    ],
    "rules": {
      "lodash-fp/consistent-compose": "off",
      "lodash-fp/consistent-name": [
        "error",
        "_"
      ],
      "lodash-fp/no-argumentless-calls": "error",
      "lodash-fp/no-chain": "error",
      "lodash-fp/no-extraneous-args": "error",
      "lodash-fp/no-extraneous-function-wrapping": "error",
      "lodash-fp/no-extraneous-iteratee-args": "error",
      "lodash-fp/no-extraneous-partials": "error",
      "lodash-fp/no-for-each": "off",
      "lodash-fp/no-partial-of-curried": "error",
      "lodash-fp/no-single-composition": "error",
      "lodash-fp/no-submodule-destructuring": "error",
      "lodash-fp/no-unused-result": "error",
      "lodash-fp/prefer-compact": "error",
      "lodash-fp/prefer-composition-grouping": "error",
      "lodash-fp/prefer-constant": [
        "error",
        {
          "arrowFunctions": false
        }
      ],
      "lodash-fp/prefer-flat-map": "error",
      "lodash-fp/prefer-get": "error",
      "lodash-fp/prefer-identity": [
        "error",
        {
          "arrowFunctions": false
        }
      ],
      "lodash-fp/preferred-alias": "off",
      "lodash-fp/use-fp": "error"
    }
  }
}

Rules


Recommended configuration

This plugin exports a recommended configuration that enforces good practices.
To enable this configuration, use the extends property in your package.json.
{
	"name": "my-awesome-project",
	"eslintConfig": {
		"extends": "plugin:lodash-fp/recommended"
	}
}

See ESLint documentation for more information about extending configuration files.
MIT © Jeroen Engels